javax.swing.event

## Enum RowSorterEvent.Type

- java.lang.Object
- - java.lang.Enum<RowSorterEvent.Type>
  - - javax.swing.event.RowSorterEvent.Type

All Implemented Interfaces:
  Serializable, Comparable<RowSorterEvent.Type>

Enclosing class:
  RowSorterEvent

    public static enum RowSorterEvent.Type
    extends Enum<RowSorterEvent.Type>

Enumeration of the types of `RowSorterEvent`s.

Since:
  1.6

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`SORT_ORDER_CHANGED` Indicates the sort order has changed.
`SORTED` Indicates the contents have been newly sorted or transformed in some way.

### Method Summary

Methods
`static RowSorterEvent.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RowSorterEvent.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SORT_ORDER_CHANGED

    public static final RowSorterEvent.Type SORT_ORDER_CHANGED

Indicates the sort order has changed.

#### SORTED

    public static final RowSorterEvent.Type SORTED

Indicates the contents have been newly sorted or transformed in some way.

### Method Detail

#### values

    public static RowSorterEvent.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RowSorterEvent.Type c : RowSorterEvent.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RowSorterEvent.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.